function y = VolumePreservingSplitting

a = 1;
f1 = @(y) [-y(2)-y(1)./(a^2+y(3).^2); 0; atan(y(3)/a)/a];
f2 = @(y) [0;y(1)-y(2)./(a^2+y(3).^2); atan(y(3)/a)/a];
df1 = @(y) [-1./(a^2+y(3).^2), -1, y(1).*y(3)./(a^2+y(3).^2).^2;0 0 0; 0 0 1./(a^2+y(3).^2).^2];
df2 = @(y) [0 0 0; 1,  -1./(a^2+y(3).^2), y(2).*y(3)./(a^2+y(3).^2).^2; 0 0 1./(a^2+y(3).^2).^2];


t = 0:0.05:5;
h = 0.05;
N = length(t);
y0 = [1; 1; 1];
y(:, 1) = y0;
for j = 2:N
    y(:, j) = GaussStep(y(:, j-1), f1, df1, h/2);
    y(:, j) = GaussStep(y(:, j), f2, df2, h);
    y(:, j) = GaussStep(y(:, j), f1, df1, h/2);
end